---
search:
  tags:
    - Products
    - GET
seo:
  description: >-
    Returns a paginated list of products across all shops accessible to the
    token. Supports rich… Reference for the GET /products endpoint in the Bolder
    API v1.
sidebar:
  label: List all products
  badge: GET
title: List all products
type: openapi-operation
---
Returns a paginated list of products across all shops accessible to the token.
Supports rich filtering, full-text search, and sorting.

`GET /products`

**Responses**

- `200` — Paginated products list

Response example, 200:

```json
{
  "total_items": 0,
  "page": 0,
  "per_page": 0,
  "_links": {
    "self": {
      "href": "string",
      "method": "string",
      "title": "string",
      "type": "string",
      "templated": true
    },
    "next": {
      "href": "string",
      "method": "string",
      "title": "string",
      "type": "string",
      "templated": true
    },
    "last": {
      "href": "string",
      "method": "string",
      "title": "string",
      "type": "string",
      "templated": true
    }
  },
  "_embedded": {
    "items": [
      {
        "id": "string",
        "slug": "string",
        "title": "string",
        "status": "visible",
        "price": 0,
        "price_comparison": 0,
        "discount_percentage": 0,
        "currency_code": "string",
        "vendor": "string",
        "tags": [
          "string"
        ],
        "created_on": "2019-08-24T14:15:22Z",
        "updated_on": "2019-08-24T14:15:22Z",
        "_links": {},
        "_embedded": {
          "shop": {
            "id": "string",
            "name": "string",
            "subdomain": "string",
            "url": "string",
            "description": "string",
            "currency_code": "string",
            "locale": "string",
            "created_on": "2019-08-24T14:15:22Z",
            "updated_on": "2019-08-24T14:15:22Z",
            "product_counts": {
              "visible": 0,
              "hidden": 0
            },
            "_links": {}
          },
          "image": {
            "file_name": "string",
            "title": "string",
            "_links": {
              "thumbnail": {
                "href": "string",
                "method": "string",
                "title": "string",
                "type": "string",
                "templated": true
              },
              "small": {
                "href": "string",
                "method": "string",
                "title": "string",
                "type": "string",
                "templated": true
              },
              "medium": {
                "href": "string",
                "method": "string",
                "title": "string",
                "type": "string",
                "templated": true
              },
              "large": {
                "href": "string",
                "method": "string",
                "title": "string",
                "type": "string",
                "templated": true
              },
              "original": {
                "href": "string",
                "method": "string",
                "title": "string",
                "type": "string",
                "templated": true
              }
            }
          },
          "variants": [
            {
              "id": 0,
              "title": "string",
              "position": 0,
              "sku": "string",
              "price": 0,
              "price_comparison": 0,
              "stock": 0,
              "available_if_no_stock": true,
              "weight_in_grams": 0
            }
          ],
          "collections": [
            {
              "id": 0,
              "title": "string",
              "slug": "string",
              "shop_id": 0
            }
          ]
        }
      }
    ]
  }
}
```
